1. Hypervisor Assets
VirtFusion Global API
  • General
    • Test connection
  • Hypervisors
    • Retrieve hypervisors
    • Retrive a hypervisor
    • Retrive metrics
  • Hypervisor Groups
    • Retrieve hypervisor groups
    • Retrieve a hypervisor group
    • Retrieve a hypervisor groups resources
  • Servers
    • Network
      • Firewall
        • Disable firewall
        • Enable firewall
        • Retrieve firewall
        • Apply firewall rulesets
      • Traffic
        • Add a traffic block to a server
        • Remove a traffic block from a server
        • Retrieve a servers traffic blocks
        • Modify primary traffic allowance
      • Add an address to the whitelist
      • Remove an address from the whitelist
      • Add a quantity of IPv4 addresses
      • Add an array of IPv4 addresses
      • Remove an array of IPv4 addresses
    • Power
      • Boot a server
      • Shutdown a server
      • Restart a server
      • Poweroff a server
    • Backup Manager
      • Modify Access
      • Restore a server backup
      • Create a server backup
    • Migration
      • Hybrid
        • List destinations
        • Destination availability
        • Migration status
        • Start migration
        • Retry a failed migration
        • Cancel a failed migration
        • Complete a migration
        • Revert a migration
    • Hypervisor Assets
      • Assigned assets
        GET
      • Available assets
        GET
      • Asset details
        GET
    • Retrieve a server
      GET
    • Add, remove or modify a backup plan
      PUT
    • Build a server
      POST
    • Change a server package
      PUT
    • Create a server
      POST
    • Delete a server
      DELETE
    • Retrieve servers
      GET
    • Modify name
      PUT
    • Reset a server password
      POST
    • Retrieve a users servers
      GET
    • Retrieve OS templates available to a server
      GET
    • Suspend a server
      POST
    • Throttle a servers CPU
      PUT
    • Retrieve a servers traffic statistics
      GET
    • Unsuspend a server
      POST
    • Enable or disable VNC
      POST
    • Retrive VNC details
      GET
    • Change owner
      PUT
    • Modify memory
      PUT
    • Modify CPU cores
      PUT
    • Set custom XML
      POST
  • IP Blocks
    • Add an IPv4 range to an IP block
    • Retrieve IP blocks
    • Retrieve an IP block
    • Reserve/Unreserve an IPv4 address
    • Retrieve IPv4 from an IP block
  • Backup Manager
    • Retrieve backups
    • Create a server backup
    • Restore a server backup
    • Retrieve jobs
    • Retrieve a job
  • Backups (Deprecated)
    • Retrieve a server backups
  • DNS
    • Retrieve a DNS service
  • Media
    • Retrieve an ISO
    • Retrieve operating system templates that are available for a package
  • Packages
    • Retrieve packages
    • Retrieve a packge
  • Queue & Tasks
    • Retrieve a queue item
  • SSH Keys
    • Add an SSH key to a user account
    • Delete an SSH key from a user
    • Retrieve a users SSH keys
    • Retrieve an SSH key
  • Users
    • External Rel ID & Rel Str
      • Delete a user
      • Generate a set of login tokens
      • Generate a set of login tokens using a server ID
      • Modify a user
      • Change a user passowrd
      • Retrieve a user
    • Create a user
  • Self Service
    • External Relational ID
      • Add credit to user
      • Add an hourly group profile to a user
      • Add a resource group profile to a user
      • Add a resource pack to a user
      • Retrieve hourly statistics
      • Modify user access
      • Remove hourly group profile from a user
      • Remove resource group from a user
      • Generate a report
      • Set an hourly resource pack
      • Retrieve a users usage
    • Cancel credit that was applied to a user
    • Delete all servers attached to a pack ID
    • Delete a user resource pack
    • Retrieve a user resource pack
    • Modify user resource pack
    • Retrieve currencies
    • Suspend all servers assigned to a reosurce pack
    • Unsuspend all servers assigned to a reosurce pack
  1. Hypervisor Assets

Asset details

Developing
GET
/servers/{serverId}/hypervisorAssets/{assetId}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/servers//hypervisorAssets/' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "data": {
        "id": 16,
        "groupId": 1,
        "groupName": "Powerful GPU",
        "type": 1,
        "name": "GPU",
        "logo": "/custom/img/assets/img_1.png",
        "label": "NVIDIA GeForce RTX 5090 32 GB GDDR7",
        "description": "Part number: ROG-ASTRAL-RTX5090-O32G-GAMING",
        "data": "<hostdev mode='subsystem' type='pci' managed='yes'>\n  <rom file='/path/to/gpu-dump.rom'/>    <driver name='vfio'/>\n  <source>\n    <address domain='0x0000' bus='0x00' slot='0x00' function='0x0'/>\n  </source>\n</hostdev>",
        "enabled": true,
        "hidden": false,
        "provisionable": true
    }
}
🟠401401
Modified at 2026-08-27 14:51:20
Previous
Available assets
Next
Retrieve a server
Built with